package com.loafle.overflow.module.domain.service;

import com.loafle.overflow.module.domain.dao.DomainMemberDAO;
import com.loafle.overflow.module.domain.model.Domain;
import com.loafle.overflow.module.domain.model.DomainMember;
import com.loafle.overflow.module.member.model.Member;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 6. 28.
 */
@Service("DomainMemberService")
public class DomainMemberService {

    @Autowired
    private DomainMemberDAO domainMemberDAO;

    public void regist(DomainMember domainMember) {
        this.domainMemberDAO.save(domainMember);
    }

    public List<Member> readAllMemberByDomain(Domain domain) {
        return this.domainMemberDAO.findAllMemberByDomain(domain);
    }

}
